---
title: "List investors"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/investors`

## Path parameters

- `id` (`entity-investments-list-investors.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/investors'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/investors';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/investors"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "investors": [
    {
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "name": "string",
      "slug": "string",
      "logoUrl": "string",
      "domain": "string",
      "relationshipType": "string",
      "confidence": 0,
      "status": "string",
      "roundHint": "string",
      "source": "string",
      "evidenceUrl": "string",
      "sourceTaskId": "string",
      "reviewedPublic": true,
      "reviewedPublicAt": "string",
      "reviewedPublicBy": "string",
      "revokedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "count": 0,
  "source": "neo4j"
}
```

- `investors` (`entity-investments-list-investors.response.200.investors`; array<object>, required)
  - `entityId` (`entity-investments-list-investors.response.200.investors.entityId`; string, required)
    - format `uuid`
  - `name` (`entity-investments-list-investors.response.200.investors.name`; string, required)
  - `slug` (`entity-investments-list-investors.response.200.investors.slug`; string, required, nullable)
  - `logoUrl` (`entity-investments-list-investors.response.200.investors.logoUrl`; string, required, nullable)
  - `domain` (`entity-investments-list-investors.response.200.investors.domain`; string, required, nullable)
  - `relationshipType` (`entity-investments-list-investors.response.200.investors.relationshipType`; string, required)
  - `confidence` (`entity-investments-list-investors.response.200.investors.confidence`; integer, required)
  - `status` (`entity-investments-list-investors.response.200.investors.status`; string, required)
  - `roundHint` (`entity-investments-list-investors.response.200.investors.roundHint`; string, required, nullable)
  - `source` (`entity-investments-list-investors.response.200.investors.source`; string, required, nullable)
  - `evidenceUrl` (`entity-investments-list-investors.response.200.investors.evidenceUrl`; string, required, nullable)
  - `sourceTaskId` (`entity-investments-list-investors.response.200.investors.sourceTaskId`; string, required, nullable)
  - `reviewedPublic` (`entity-investments-list-investors.response.200.investors.reviewedPublic`; boolean, required)
  - `reviewedPublicAt` (`entity-investments-list-investors.response.200.investors.reviewedPublicAt`; string, required, nullable)
  - `reviewedPublicBy` (`entity-investments-list-investors.response.200.investors.reviewedPublicBy`; string, required, nullable)
  - `revokedAt` (`entity-investments-list-investors.response.200.investors.revokedAt`; string, required, nullable)
  - `createdAt` (`entity-investments-list-investors.response.200.investors.createdAt`; string, required, nullable)
  - `updatedAt` (`entity-investments-list-investors.response.200.investors.updatedAt`; string, required, nullable)
- `count` (`entity-investments-list-investors.response.200.count`; integer, required)
- `source` (`entity-investments-list-investors.response.200.source`; string, required)
  - one of `"neo4j"`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.400.error`; object, required)
  - `code` (`entity-investments-list-investors.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.401.error`; object, required)
  - `code` (`entity-investments-list-investors.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.403.error`; object, required)
  - `code` (`entity-investments-list-investors.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.404.error`; object, required)
  - `code` (`entity-investments-list-investors.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.500.error`; object, required)
  - `code` (`entity-investments-list-investors.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-investments-list-investors.response.503.error`; object, required)
  - `code` (`entity-investments-list-investors.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-investments-list-investors.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-investments-list-investors.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-investments-list-investors.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-investments-list-investors/index.md
